Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename is-accessor-descriptor
%global enable_tests 1

Name:		nodejs-is-accessor-descriptor
Version:	0.1.6
Release:	alt1_4
Summary:	Returns true if a value has the characteristics of a valid accessor descriptor

License:	MIT
URL:		https://github.com/jonschlinkert/is-accessor-descriptor
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# 0.1.6 release not tagged in GitHub, so pulling test from master branch
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-accessor-descriptor/master/test.js
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(kind-of)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif
Source44: import.info

%description
Returns true if a value has the characteristics of a valid accessor descriptor.


%prep
%setup -q -n package

# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.6-alt1_4
- new version

